This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 167935 - CAN-2005-2871 Mozilla buffer overflow
CAN-2005-2871 Mozilla buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
4
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=critical,reported=20050909,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 13:34 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 07:50:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-09 13:34:25 EDT
+++ This bug was initially created as a clone of Bug #167934 +++

A specially crafted hostname which contains lots of dashes can trigger a buffer
overflow.

http://marc.theaimsgroup.com/?l=full-disclosure&m=112624614008387&w=2
https://bugzilla.mozilla.org/show_bug.cgi?id=307259
Comment 1 Josh Bressers 2005-09-09 13:35:02 EDT
This issue also affects FC3
Comment 2 Fedora Update System 2005-09-10 00:26:29 EDT
From User-Agent: XML-RPC

firefox-1.0.6-1.2.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Mark J. Cox (Product Security) 2005-10-25 07:50:26 EDT
        CAN-2005-2871 Affects: FC3 [#167935:NEW] -> FEDORA-2005-874
        CAN-2005-2871 Affects: FC4 [#167935:NEW] -> FEDORA-2005-873

Note You need to log in before you can comment on or make changes to this bug.